http
GET /api/query/v1/datasources/{datasetId}/schema/indexed?includeHidden=false HTTP/1.1
Host: {instance}.domo.com
x-domo-authentication: {session_token}
Content-Type: application/json
Accept: application/jsoncurl --request GET \
--url https://{instance}.domo.com/api/query/v1/datasources/{datasetId}/schema/indexed \
--header 'x-domo-authentication: <api-key>'import requests
url = "https://{instance}.domo.com/api/query/v1/datasources/{datasetId}/schema/indexed"
headers = {"x-domo-authentication": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-domo-authentication': '<api-key>'}};
fetch('https://{instance}.domo.com/api/query/v1/datasources/{datasetId}/schema/indexed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "schema",
"tables": [
{
"columns": [
{
"name": "Display Name",
"id": "Display Name",
"type": "STRING",
"visible": true,
"order": 0
},
{
"name": "Role",
"id": "Role",
"type": "STRING",
"visible": true,
"order": 0
}
]
}
],
"dataSourceId": "94a4edfa-5926-4f0c-ad1e-a341f53f6113"
}Schema
Get Dataset Schema
Retrieves the schema of a dataset, including details about columns, their types, and metadata
GET
/
api
/
query
/
v1
/
datasources
/
{datasetId}
/
schema
/
indexed
http
GET /api/query/v1/datasources/{datasetId}/schema/indexed?includeHidden=false HTTP/1.1
Host: {instance}.domo.com
x-domo-authentication: {session_token}
Content-Type: application/json
Accept: application/json⌘I